Bug 611982 - Monitor doesn't check for 'change' command failure
Summary: Monitor doesn't check for 'change' command failure
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Luiz Capitulino
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-06 23:20 UTC by Luiz Capitulino
Modified: 2013-01-09 22:49 UTC (History)
7 users (show)

Fixed In Version: kvm-83-189.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 23:36:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Luiz Capitulino 2010-07-06 23:20:57 UTC
Description of problem:

Libvirt is not capable of detecting failure when using the 'change' command, because it always succeeds.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot a qemu-kvm VM and switch to the Monitor
2. Pass a non-existent file to the 'change' command

(qemu) change ide1-cd0 /opt/foobar
(qemu)
  
Actual results:

Nothing happens.

Expected results:

An error message.

Additional info:

Comment 1 Luiz Capitulino 2010-07-06 23:21:40 UTC
This is the qemu-kvm part of bug #578513

Comment 6 dawu 2010-11-04 10:42:39 UTC
Verify this bug on old build kvm-83-164.el5, it's reproduce on it.
Verified this bug on latest build kvm-83-206.el5, bug has been fixed, error message pops up as expected.

Thanks!
Best Regards,
Dawn

Comment 9 errata-xmlrpc 2011-01-13 23:36:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.